Bug 9186 - build for x86_64
: build for x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mp3info)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-04 10:24 by
Modified: 2006-09-15 01:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-04 10:24:49
Патч, исправляющий сборку для x86_64, просьба приложить - пакет нужен для
сборки
normalize:
--- mp3info-0.8.4.orig/textfunc.c       2006-03-03 23:44:23 +0300
+++ mp3info-0.8.4/textfunc.c    2006-03-03 23:44:45 +0300
@@ -235,7 +235,7 @@
                if(*code) {
                        modlen=code-percent+1;
                        if(modlen > 1000) {
-                               printf("Format modifier beginning at position
%d
too long!\n",percent-format);
+                               printf("Format modifier beginning at position
%d
too long!\n",(int)(percent-format));
                                exit(5);
                        }
                        strncpy(mod,percent,modlen);
------- Comment #1 From 2006-03-07 10:29:02 -------
Готов сделать NMU, если тебе некогда его собирать.
------- Comment #2 From 2006-03-07 20:38:21 -------
Applied in 0.8.4-alt5, thanks.